Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# tao_ifr.cpp File Reference

`#include "idl_defines.h"`
`#include "global_extern.h"`
`#include "fe_extern.h"`
`#include "ast_generator.h"`
`#include "ast_root.h"`
`#include "ast_extern.h"`
`#include "utl_string.h"`
`#include "drv_extern_ifr.h"`
`#include "be_extern.h"`
`#include "ace/Process.h"`
`#include "ace/streams.h"`

Include dependency graph for tao_ifr.cpp:

## Defines
#define | NFILES 1024
## Functions
const char * | get_rcsid_IFR_Service_tao_ifr (const char *)
TAO_IFR_BE_Export void | BE_produce (void)
TAO_IFR_BE_Export void | BE_abort (void)
TAO_IFR_BE_Export int | BE_ifr_init (int &, char *[])
AST_Generator * | gen_init (void)
void | DRV_save_orb_args (ACE_CString &arg_holder, int argc, char *argv[])
void | DRV_init (void)
void | DRV_drive (const char *s)
void | DRV_fork (ACE_CString &arg_string)
int | main (int argc, char *argv[])
## Variables
const char * | rcsid_IFR_Service_tao_ifr = get_rcsid_IFR_Service_tao_ifr ( rcsid_IFR_Service_tao_ifr )
const char * | DRV_files [NFILES]
long | DRV_nfiles = 0
long | DRV_file_index = -1
const size_t | LOCAL_ESCAPES_BUFFER_SIZE = 1024

## Define Documentation

#define NFILES 1024

## Function Documentation

TAO_IFR_BE_Export void BE_abort | ( | void |  | ) |

TAO_IFR_BE_Export int BE_ifr_init | ( | int & | ,
|  | char * | []
| ) |

TAO_IFR_BE_Export void BE_produce | ( | void |  | ) |

void DRV_drive | ( | const char * | s | ) |

void DRV_fork | ( | ACE_CString & | arg_string | ) |

void DRV_init | ( | void |  | ) |

void DRV_save_orb_args | ( | ACE_CString & | arg_holder,
|  | int | argc,
|  | char * | argv[]
| ) |

AST_Generator* gen_init | ( | void |  | ) |

const char* get_rcsid_IFR_Service_tao_ifr | ( | const char * |  | ) | `[inline, static]`

int main | ( | int | argc,
|  | char * | argv[]
| ) |

## Variable Documentation

long DRV_file_index = -1

const char* DRV_files[NFILES]

long DRV_nfiles = 0

const size_t LOCAL_ESCAPES_BUFFER_SIZE = 1024

const char* rcsid_IFR_Service_tao_ifr = get_rcsid_IFR_Service_tao_ifr ( rcsid_IFR_Service_tao_ifr )`[static]`